Problems upgrading to v2.0.0

I upgraded my cluster and post upgrade I tried to create a table with a jsonb column which raised an error that the cluster was > 2.0.0

So I set cluster setting version = '2.0' and then it worked. This hardly seems the proper way to upgrade a cluster… what step did I miss during the upgrade?

Thanks,
j.

Hi @jimlambrt,

It sounds like you’ve done the right thing - you can read the full docs on upgrading a cluster version here. The purpose of the setting is to allow operators to hold off on finalizing the upgrade and enabling backwards-incompatible features until they’ve upgraded all of their nodes and are ready to commit.

However, we’re currently discussing removing this step in the future, automatically upgrading a cluster when possible. You can see the discussion around this on the (still open) RFC.

Let us know if you have any further questions!